# Uses of Enum Class
org.bukkit.entity.Frog.Variant

Packages that use Frog.Variant
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Frog.Variant in org.bukkit

Fields in org.bukkit with type parameters of type Frog.Variant
Modifier and Type
Field
Description
`static final Registry<Frog.Variant>`
Registry.`FROG_VARIANT`
Frog variants.

## Uses of Frog.Variant in org.bukkit.entity

Methods in org.bukkit.entity that return Frog.Variant
Modifier and Type
Method
Description
`@NotNull Frog.Variant`
Frog.`getVariant()`
Get the variant of this frog.
`static Frog.Variant`
Frog.Variant.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Frog.Variant[]`
Frog.Variant.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Frog.Variant
Modifier and Type
Method
Description
`void`
Frog.`setVariant(@NotNull Frog.Variant variant)`
Set the variant of this frog.